> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# acceptorApplications

> Retrieves information about this acceptor application.

`Query`

## Arguments

<ParamField path="input" type="AcceptorApplicationInput!" required>
  <Expandable title="child attributes">
    <ParamField path="orderBy" type="[AcceptorApplicationSortTypeInput!]">
      <Expandable title="child attributes">
        <ParamField path="field" type="AcceptorApplicationSortField!" required>
          <Expandable title="Possible enum values">
            <ParamField path="CREATED_DATETIME" type="enum">
              Sort by the date and time the application was created.
            </ParamField>

            <ParamField path="ID" type="enum">
              Sort by the application's unique identifier.
            </ParamField>

            <ParamField path="SUBMITTED_DATETIME" type="enum">
              Sort by the date and time the application was submitted.
            </ParamField>

            <ParamField path="UPDATED_DATETIME" type="enum">
              Sort by the date and time the application was last updated.
            </ParamField>
          </Expandable>
        </ParamField>

        <ParamField path="sortDirection" type="SortingEnumType!" required>
          See [SortingEnumType](/acquiring/reference/graphql/types/sorting-enum-type)
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="AcceptorApplicationFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="assignedToUserId" type="UUID">
          Filter by applications assigned to the specified user
        </ParamField>

        <ParamField path="id" type="GuidFilterInput">
          Filter by the unique identifier of the acceptor application

          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="isAssigned" type="Boolean">
          Filter by assignment status: true = assigned to anyone, false = unassigned, null = no filter
        </ParamField>

        <ParamField path="status" type="EnumFilterInputOfAcceptorApplicationStatusInput">
          Filter by the status of the acceptor application

          <Expandable title="child attributes">
            <ParamField path="eq" type="AcceptorApplicationStatus">
              See [AcceptorApplicationStatus](/acquiring/reference/graphql/types/acceptor-application-status)
            </ParamField>

            <ParamField path="in" type="[AcceptorApplicationStatus!]">
              See [AcceptorApplicationStatus](/acquiring/reference/graphql/types/acceptor-application-status)
            </ParamField>

            <ParamField path="nin" type="[AcceptorApplicationStatus!]">
              See [AcceptorApplicationStatus](/acquiring/reference/graphql/types/acceptor-application-status)
            </ParamField>
          </Expandable>
        </ParamField>

        <ParamField path="submittedDate" type="DateTimeFilterInput">
          Filter by the date when the application was successfully submitted

          <Expandable title="child attributes">
            <ParamField path="eq" type="DateTime" />

            <ParamField path="gt" type="DateTime" />

            <ParamField path="gte" type="DateTime" />

            <ParamField path="lt" type="DateTime" />

            <ParamField path="lte" type="DateTime" />

            <ParamField path="neq" type="DateTime" />

            <ParamField path="ngt" type="DateTime" />

            <ParamField path="ngte" type="DateTime" />

            <ParamField path="nlt" type="DateTime" />

            <ParamField path="nlte" type="DateTime" />
          </Expandable>
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`AcceptorApplicationCollection!`

<ResponseField name="items" type="[AcceptorApplication!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptorId" type="UUID">
      The acceptor ID assigned during onboarding.
    </ResponseField>

    <ResponseField name="accountStatus" type="AccountStatus">
      Current boarding process status. Null if boarding has not started.

      See [AccountStatus](/acquiring/reference/graphql/types/account-status)
    </ResponseField>

    <ResponseField name="applicationEvents" type="ApplicationEventCollection">
      The events associated with the application.

      See [ApplicationEventCollection](/acquiring/reference/graphql/types/application-event-collection)
    </ResponseField>

    <ResponseField name="applicationIdentity" type="AcceptorApplicationIdentityOutput">
      The identity information of the application.

      See [AcceptorApplicationIdentityOutput](/acquiring/reference/graphql/types/acceptor-application-identity-output)
    </ResponseField>

    <ResponseField name="applicationStatus" type="AcceptorApplicationStatus!" required>
      The status of the application.

      See [AcceptorApplicationStatus](/acquiring/reference/graphql/types/acceptor-application-status)
    </ResponseField>

    <ResponseField name="assignee" type="ApplicationAssignee">
      The user assigned to the application.

      See [ApplicationAssignee](/acquiring/reference/graphql/types/application-assignee)
    </ResponseField>

    <ResponseField name="attachments" type="[Attachment!]!" required>
      The attachments associated with the application.

      See [Attachment](/acquiring/reference/graphql/types/attachment)
    </ResponseField>

    <ResponseField name="billingAndFunding" type="AcceptorApplicationBillingAndFundingOutput">
      The billing and funding information of the application.

      See [AcceptorApplicationBillingAndFundingOutput](/acquiring/reference/graphql/types/acceptor-application-billing-and-funding-output)
    </ResponseField>

    <ResponseField name="cardAcceptorId" type="String">
      The card acceptor ID assigned during onboarding.
    </ResponseField>

    <ResponseField name="comments" type="[Comment!]!" required>
      The comments associated with the application.

      See [Comment](/acquiring/reference/graphql/types/comment)
    </ResponseField>

    <ResponseField name="createdBy" type="Actor">
      The actor who created the application.

      See [Actor](/acquiring/reference/graphql/types/actor)
    </ResponseField>

    <ResponseField name="createdDateTime" type="DateTime!" required>
      The date and time when the application was created.
    </ResponseField>

    <ResponseField name="decisionComponents" type="[DecisionComponent!]!" required>
      The underwriting decision components for the application.

      See [DecisionComponent](/acquiring/reference/graphql/types/decision-component)
    </ResponseField>

    <ResponseField name="id" type="UUID!" required>
      The unique identifier of the application.
    </ResponseField>

    <ResponseField name="participants" type="[BoardingApplicationParticipant!]">
      The participants of the application.

      See [BoardingApplicationParticipant](/acquiring/reference/graphql/types/boarding-application-participant)
    </ResponseField>

    <ResponseField name="processingActivity" type="AcceptorApplicationProcessingActivityOutput">
      The process activity information of the application.

      See [AcceptorApplicationProcessingActivityOutput](/acquiring/reference/graphql/types/acceptor-application-processing-activity-output)
    </ResponseField>

    <ResponseField name="queue" type="WorkflowAssignment!" required>
      The queue the application is assigned to.

      See [WorkflowAssignment](/acquiring/reference/graphql/types/workflow-assignment)
    </ResponseField>

    <ResponseField name="schema" type="UnderwritingDecisionComponentsSchema">
      The underwriting decision components schema for the application.

      See [UnderwritingDecisionComponentsSchema](/acquiring/reference/graphql/types/underwriting-decision-components-schema)
    </ResponseField>

    <ResponseField name="services" type="AcceptorApplicationServicesOutput">
      The desired services associated with the application.

      See [AcceptorApplicationServicesOutput](/acquiring/reference/graphql/types/acceptor-application-services-output)
    </ResponseField>

    <ResponseField name="stakeholders" type="[StakeholderOutput!]!" required>
      Stakeholder information. Optionally reveal sensitive fields for a specific stakeholder.

      See [StakeholderOutput](/acquiring/reference/graphql/types/stakeholder-output)
    </ResponseField>

    <ResponseField name="submissionAttemptedDateTime" type="DateTime">
      The date and time when the application submission was attempted.
    </ResponseField>

    <ResponseField name="submissionSuccessfulDateTime" type="DateTime">
      The date and time when the application was successfully submitted.
    </ResponseField>

    <ResponseField name="updatedBy" type="Actor">
      The actor who updated the application.

      See [Actor](/acquiring/reference/graphql/types/actor)
    </ResponseField>

    <ResponseField name="updatedDateTime" type="DateTime!" required>
      The date and time when the application was last updated.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query AcceptorApplications($input: AcceptorApplicationInput!) {
    acceptorApplications(input: $input) {
      items {
        acceptorId
        accountStatus
        applicationEvents {

        }
        applicationIdentity {
          acceptorReference
          acceptorRelationshipReference
          acceptorType
          businessEntityType
          businessName
          defaultMerchantCategoryCode
          isKnownAcceptor
          isLegalAddressSameAsBusinessAddress
          isProcessingStatement
          legalEntityName
          serviceTelephoneNumber
          softwareProviderNames
          stateOfIncorporation
          transactorTypeII
          transactorTypeIII
          transactorTypeIOverride
          websiteUrl
        }
        applicationStatus
        assignee {
          assignedDateTime
          name
          userId
        }
        attachments {
          fileName
          id
          size
          uploadedDateTime
        }
        billingAndFunding {
          acceptorCutoffTime
          billingProfileId
          fundingProfileId
          timezone
        }
        cardAcceptorId
        comments {
          content
          createdDateTime
          id
          updatedDateTime
        }
        createdBy {
          name
          type
        }
        createdDateTime
        decisionComponents {
          hasAttachments
          hasComments
          id
          status
          updatedDateTime
        }
        id
        participants {
          role
        }
        processingActivity {
          averageAnnualSalesAmount
          averageMonthlySalesAmount
          averageTicketAmount
          cardNotPresentMix
          cardPresentMix
          chargebackRate
          currency
          daysInCycle
          exposure
          highestTicketAmount
          refundRate
        }
        queue
        schema {
          createdDateTime
          id
          version
        }
        services {

        }
        stakeholders {
          emailAddress
          id
          ipAddress
          ownershipPercentage
          roles
        }
        submissionAttemptedDateTime
        submissionSuccessfulDateTime
        updatedBy {
          name
          type
        }
        updatedDateTime
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }

  }
  }

  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "assignedToUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "id": "example",
        "isAssigned": true
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query AcceptorApplications($input: AcceptorApplicationInput!) {\n  acceptorApplications(input: $input) {\n    items {\n      acceptorId\n      accountStatus\n      applicationEvents {\n\n      }\n      applicationIdentity {\n        acceptorReference\n        acceptorRelationshipReference\n        acceptorType\n        businessEntityType\n        businessName\n        defaultMerchantCategoryCode\n        isKnownAcceptor\n        isLegalAddressSameAsBusinessAddress\n        isProcessingStatement\n        legalEntityName\n        serviceTelephoneNumber\n        softwareProviderNames\n        stateOfIncorporation\n        transactorTypeII\n        transactorTypeIII\n        transactorTypeIOverride\n        websiteUrl\n      }\n      applicationStatus\n      assignee {\n        assignedDateTime\n        name\n        userId\n      }\n      attachments {\n        fileName\n        id\n        size\n        uploadedDateTime\n      }\n      billingAndFunding {\n        acceptorCutoffTime\n        billingProfileId\n        fundingProfileId\n        timezone\n      }\n      cardAcceptorId\n      comments {\n        content\n        createdDateTime\n        id\n        updatedDateTime\n      }\n      createdBy {\n        name\n        type\n      }\n      createdDateTime\n      decisionComponents {\n        hasAttachments\n        hasComments\n        id\n        status\n        updatedDateTime\n      }\n      id\n      participants {\n        role\n      }\n      processingActivity {\n        averageAnnualSalesAmount\n        averageMonthlySalesAmount\n        averageTicketAmount\n        cardNotPresentMix\n        cardPresentMix\n        chargebackRate\n        currency\n        daysInCycle\n        exposure\n        highestTicketAmount\n        refundRate\n      }\n      queue\n      schema {\n        createdDateTime\n        id\n        version\n      }\n      services {\n\n      }\n      stakeholders {\n        emailAddress\n        id\n        ipAddress\n        ownershipPercentage\n        roles\n      }\n      submissionAttemptedDateTime\n      submissionSuccessfulDateTime\n      updatedBy {\n        name\n        type\n      }\n      updatedDateTime\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "assignedToUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "id": "example",
          "isAssigned": true
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "acceptorApplications": {
        "items": [
          {
            "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
            "accountStatus": "ON_HOLD",
            "applicationEvents": {
              "items": [
                "example"
              ],
              "pageInfo": "example"
            },
            "applicationIdentity": {
              "acceptorReference": "CLACK-2026-001",
              "acceptorRelationshipReference": "REL-CLACK-001",
              "acceptorType": "BILLER",
              "businessAddress": "example",
              "businessEntityType": "ASSOCIATION",
              "businessName": "Clacksworth Keyboards",
              "defaultMerchantCategoryCode": "example",
              "isKnownAcceptor": true,
              "isLegalAddressSameAsBusinessAddress": true,
              "isProcessingStatement": true,
              "legalAddress": "example",
              "legalEntityName": "Clacksworth Keyboards LLC",
              "merchantCategories": [
                "example"
              ],
              "sensitiveFields": "example",
              "serviceTelephoneNumber": "+15551234567",
              "softwareProviderNames": [
                "example"
              ],
              "sponsorBank": "example",
              "stateOfIncorporation": "example",
              "taxIdentificationNumber": "example",
              "transactorTypeII": "example",
              "transactorTypeIII": [
                "example"
              ],
              "transactorTypeIOverride": "BPSP",
              "websiteUrl": "https://clacksworth.com"
            },
            "applicationStatus": "APPROVED",
            "assignee": {
              "assignedBy": "example",
              "assignedDateTime": "2026-01-15T14:30:00Z",
              "name": "Ben Torres",
              "userId": "c9a1e2d3-4b5f-6789-0abc-def123456789"
            },
            "attachments": [
              {
                "fileName": "business-license.pdf",
                "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
                "size": 0,
                "uploadedBy": "example",
                "uploadedDateTime": "2026-01-15T14:30:00Z"
              }
            ],
            "billingAndFunding": {
              "acceptorCutoffTime": "12:00:00",
              "bankAccounts": [
                "example"
              ],
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "billingProfileId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
              "fundingProfileId": "b6d4e5f6-7a8b-9012-3def-456789012345",
              "timezone": "AMERICA_CHICAGO"
            },
            "cardAcceptorId": "example",
            "comments": [
              {
                "content": "Approved for mechanical keyboard accessories line.",
                "createdBy": "example",
                "createdDateTime": "2026-01-15T14:30:00Z",
                "decisionComponent": "example",
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                "lastUpdatedBy": "example",
                "updatedDateTime": "2026-01-15T14:30:00Z"
              }
            ],
            "createdBy": {
              "name": "Ben Torres",
              "type": "APP"
            },
            "createdDateTime": "2026-01-15T14:30:00Z",
            "decisionComponents": [
              {
                "attachments": [
                  "example"
                ],
                "comments": [
                  "example"
                ],
                "hasAttachments": true,
                "hasComments": true,
                "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
                "items": [
                  "example"
                ],
                "lastUpdatedBy": "example",
                "schema": "example",
                "status": "ACCEPTED",
                "updatedDateTime": "2026-01-15T14:30:00Z"
              }
            ],
            "id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
            "participants": [
              {
                "organization": "example",
                "role": "BANK"
              }
            ],
            "processingActivity": {
              "averageAnnualSalesAmount": 0,
              "averageMonthlySalesAmount": 45000,
              "averageTicketAmount": 150,
              "cardNotPresentMix": 0.05,
              "cardPresentMix": 0.05,
              "chargebackRate": 0.05,
              "currency": "USD",
              "daysInCycle": 0,
              "exposure": 100000,
              "highestTicketAmount": 2500,
              "refundRate": 0.05
            },
            "queue": "PARTNER",
            "schema": {
              "createdDateTime": "2026-01-15T14:30:00Z",
              "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
              "underwritingDecisionComponentSchemas": [
                "example"
              ],
              "version": "example"
            },
            "services": {
              "transactionProcessingService": "example"
            },
            "stakeholders": [
              {
                "emailAddress": "ben@clacksworth.com",
                "id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
                "ipAddress": "example",
                "ownershipPercentage": 0.05,
                "roles": [
                  "AUTHORIZED"
                ],
                "sensitiveFields": "example"
              }
            ],
            "submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
            "submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
            "updatedBy": {
              "name": "Ben Torres",
              "type": "APP"
            },
            "updatedDateTime": "2026-01-15T14:30:00Z"
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
